# frozen_string_literal: true

Application.boot(:clients, namespace: true) do
  init do
    require 'cht-lib-fabric/helpers/graphql/http'
    require 'cht-lib-fabric/services'
    require 'flow_down/clients/org_management_service'   
  end

  start do |application|
    use :settings

    org_mgmt_client =
      ::Platform::Helpers::GraphQL.http(application[:settings].org_management_uri)   
    register(:org_management, ::FlowDown::Clients::OrgManagement.new(org_mgmt_client))

  end
end
